ReflectionClass::__construct
ReflectionClass::getConstant
ReflectionClass
PHP Manual

# ReflectionClass::export

(PHP 5)

ReflectionClass::export — Exports a class

### Description

public static string ReflectionClass::export ( mixed `$argument` [, bool `$return` = false ] )

Exports a reflected class.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`argument`

  The reflection to export.

`return`

  Setting to `TRUE` will return the export, as opposed to emitting it. Setting to `FALSE` (the default) will do the opposite.

### Return Values

If the `return` parameter is set to `TRUE`, then the export is returned as a string , otherwise `NULL` is returned.

### See Also

- ReflectionClass::getName - Gets class name

ReflectionClass::__construct
ReflectionClass::getConstant
ReflectionClass
PHP Manual